package org.jssec.notification.visibilityPrivate;

import android.app.Notification;
import android.app.NotificationManager;
import android.app.RemoteInput;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.os.Build;
import android.os.Bundle;
import android.util.Log;

import static org.jssec.notification.visibilityPrivate.VisibilityPrivateNotificationActivity.DEFAULT_CHANNEL;

public class NotificationReceiver extends BroadcastReceiver {
    @Override
    public void onReceive(Context context, Intent intent) {
        if (Build.VERSION.SDK_INT >= 28) {
            Bundle remoteInput = RemoteInput.getResultsFromIntent(intent);
            String replytext = "received : ";
            if (remoteInput != null) {
                CharSequence message = remoteInput.getCharSequence(VisibilityPrivateNotificationActivity.REMOTE_REPLY);
                replytext += message.toString();
            }
            repliedNotification(context, replytext);
        }
    }

    private void repliedNotification(Context context, String replytext) {
        if (Build.VERSION.SDK_INT >= 28) {
            Notification repliedNotification =
                    new Notification.Builder(context, DEFAULT_CHANNEL)
                            .setSmallIcon(R.drawable.ic_launcher)
                            .setContentText(replytext)
                            .build();

            NotificationManager notificationManager = (NotificationManager) context.getSystemService(Context.NOTIFICATION_SERVICE);
            notificationManager.notify(0, repliedNotification);
        }
    }
}
